2007-07-27  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs (IndentLine): If
	no text was inserted, simply return instead of spending time
	readjusting the cursor position unnecessarily.

2007-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Add commands to the TextEditor
	  category.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs,
	  MonoDevelop.SourceEditor.Actions/DefaultEditActions.cs,
	  MonoDevelop.SourceEditor.addin.xml: Replaced old actions by command
	  handlers.
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: When
	  setting the cursor position, also set the selection bound, and make
	  sure the new cursor position is visible.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Track api changes.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs,
	  MonoDevelop.SourceEditor.Gui/LanguageItemWindow.cs,
	  MonoDevelop.SourceEditor/SourceViewService.cs: Fix log calls.

2007-07-17  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Fix build.

2007-07-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Uncommented code
	  that draws space marks.
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Fixed
	  several issues with the class and member combos. Added tooltips to
	  the combos which display type information.
	* MonoDevelop.SourceEditor.Gui/LanguageItemWindow.cs: When using
	  'gtk-tooltips' as window name, the window will be shown with the
	  tooltip background. Fixes bug #81794.
	* MonoDevelop.SourceEditor.mdp: Updated.

2007-07-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Sort the
	  class and member combos.

2007-07-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Track api changes.
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Added
	  null checks.
	* MonoDevelop.SourceEditor.Properties,
	  MonoDevelop.SourceEditor.InsightWindow,
	  MonoDevelop.SourceEditor.InsightWindow/MethodInsightDataProvider.cs,
	  MonoDevelop.SourceEditor.InsightWindow/InsightWindow.cs,
	  MonoDevelop.SourceEditor.InsightWindow/IInsightDataProvider.cs,
	  MonoDevelop.SourceEditor.InsightWindow/IndexerInsightDataProvider.cs,
	  MonoDevelop.SourceEditor.Document: Removed unused files and
	  directories.

2007-07-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Use the
	  MarkSet event to update the method browser. Fixes bug #81864.

2007-07-07  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	Make sure files are reverted also when created. Fixes bug #81911.

2007-07-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Changed
	  source a bit due to core refactorings.

2007-07-03  Mike Krüger <mkrueger@novell.com> 

	* EditorBindings.glade,
	  MonoDevelop.SourceEditor.Gui/SourceEditorView.cs,
	  MonoDevelop.SourceEditor.Gui.OptionPanels/CodeTemplatePanel.cs,
	  MonoDevelop.SourceEditor.addin.xml, MonoDevelop.SourceEditor.mdp:
	  Removed the code template options (now they're part of the Ide
	  project).

2007-07-02 Fabian Sturm <f@rtfs.org>

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Added separate spaces, tabs and newline highlighting.
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Same.
	* MonoDevelop.SourceEditor.Gui.OptionPanels/MarkersTextEditorPanel.cs: Same.

2007-07-01  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* EditorBindings.glade: Fixed capitalization issue.

2007-06-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs: Added IntPtr
	  constructor. Should fix bug #81826.

2007-06-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Some
	  fixes to make sure combo events are properly released.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Reduce
	  padding in the members drop down menu. Added missing null check.
	* MonoDevelop.SourceEditor.addin.xml: Changed category to MonoDevelop
	  Core.

2007-05-29  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Set the
	mainBox.FocusChain to focus the editor widget first. Fixes bug #81765.

2007-05-22  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui.OptionPanels/SyntaxHighlightingPanel.cs:
	Same.

	* MonoDevelop.SourceEditor.Gui.OptionPanels/MarkersTextEditorPanel.cs:
	Same.

	* MonoDevelop.SourceEditor.Gui.OptionPanels/GeneralTextEditorPanel.cs:
	Same.

	* MonoDevelop.SourceEditor.Gui.OptionPanels/BehaviorTextEditorPanel.cs:
	Same.

	* MonoDevelop.SourceEditor.Gui/SourceEditorWidget.cs: Same.

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Same.

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Same
	as below.

	* MonoDevelop.SourceEditor.FormattingStrategy/DefaultFormattingStrategy.cs:
	MonoDevelop.SourceEditor.Properties namespace no longer exists.

2007-05-21  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs
	(CommentCode): Changed the logic a bit to not comment the last
	line if no chars were actually in the selection on that
	line. Fixes bug #81632.

2007-05-21  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.SourceEditor.Gui.OptionPanels/CodeTemplatePanel.cs:
	Ensure that dialogs are Destroy()'ed.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.mdp: Don't copy project references.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Codons/EditActionCodon.cs: Use the
	  Mono.Addins attributes to provide extension documentation.
	* Makefile.am, MonoDevelop.SourceEditor.mdp: Reference shared
	  assemblies from the correct location.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs,
	  MonoDevelop.SourceEditor.Gui/SourceEditorView.cs,
	  MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs,
	  MonoDevelop.SourceEditor.Codons/EditActionCodon.cs, Makefile.am,
	  MonoDevelop.SourceEditor.addin.xml, MonoDevelop.SourceEditor.mdp:
	  Migration to Mono.Addins.

2007-03-03 James Fitzsimons <james.fitzsimons@gmail.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Added new 
	  event handlers to update method combo when user mouse clicks on editor. 

2007-04-29  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Fix for initial
	  settings for drawing control characters.

2007-04-27  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Align white space 
	indicators with pixel grid, and interpolate their colour from BG and FG.

2007-04-27  David Makovský (Yakeen) <yakeen@sannyas-on.net>
	* EditorBindings.glade,
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs,
	* MonoDevelop.SourceEditor.Properties/TextEditorProperties.cs,
	* MonoDevelop.SourceEditor.Gui.OptionPanels/MarkersTextEditorPanel.cs:
	  Fixed typo.

2007-04-26  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Added highlighting
	  current line functionality when gtksourceview supports it and
	  drawing of white spaces.
	* EditorBindings.glade: Configuraion checkboxes.
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs,
	* MonoDevelop.SourceEditor.Properties/TextEditorProperties.cs,
	* MonoDevelop.SourceEditor.Gui.OptionPanels/MarkersTextEditorPanel.cs:
	  HighlightCurrentLine and ShowContolCharacters confiuration properties.
	* Makefile.am,
	* MonoDevelop.SourceEditor.mdp: Added reference to Mono.Cairo.
	 
2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Register the editor after the
	  default display binding, so other bindings can be registered before
	  of it and have more priority when opening files.
	* MonoDevelop.SourceEditor.mdp: Updated.

2007-04-10  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	Implement IViewHistory
	(BuildNavPoint() is no longer part of IViewHistory).

2007-04-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Don't try
	  to update the class combo after the editor has been disposed.
	* MonoDevelop.SourceEditor.mdp: Added missing file.

2007-04-02  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui/TextNavigationPoint.cs (Description): 
	Don't include the column number, it's not worth the extra space taken
	to display that info in the menu.

2007-03-29  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui/TextNavigationPoint.cs: New source 
	file implementing the INavigationPoint interface for the SourceEditor.

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs
	(CursorPositionChanged): Log the new NavigationPoint.

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs
	(BuildNavPoint): Implemented.
	(GetLineColumnFromPosition): Make column 1-based like the line
	already is (hopefully this doesn't break anything).

2007-03-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Don't
	  crash if the method combo is empty.

2007-03-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Avoid
	  crash when no entry is selected in the class combo.

2007-03-26 James Fitzsimons <james.fitzsimons@gmail.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Added class 
	  and method browser combos. Added ascx to list in CanCreateContentForMimeType().
	* EditorBindings.glade: Added checkbox for Class & Method combos to GeneralTextEditorPanel.
	* MonoDevelop.SourceEditor.Gui.OptionPanels/GeneralTextEditorPanel.cs: 
	  Added support for turning on  and off the class and method browser combos in the editor.
	* MonoDevelop.SourceEditor.Properties/TextEditorProperties.cs: Added 
	  ShowClassBrowser property.

2007-03-23  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs
	(GetCharAt): Need to check that offset < (len - 1) because the
	last iter won't have a char. Fixes bug #81216.

2007-03-19  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs
	(GetCharAt): Changed since we are now implementing
	ITextFile.GetCharAt

2007-03-16  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs (DeleteLine):
	Emulate the Emacs Ctrl-K delete-line behavior (which appears to be
	what it was intended to emulate in the first place based on
	previous commit messages).

2007-02-27  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor.Properties/TextEditorProperties.cs,
	  MonoDevelop.SourceEditor.Gui.OptionPanels/BehaviorTextEditorPanel.cs,
	  MonoDevelop.SourceEditor.Gui.OptionPanels/MarkersTextEditorPanel.cs:
	  Removed unused namespace.
	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Use TextEditor for
	  formatting operations.
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: The
	  ICompletionWidget interface is now obtained through the GetContent
	  method. Implemented some soon to be added ITextFile methods.
	* MonoDevelop.SourceEditor.FormattingStrategy/DefaultFormattingStrategy.cs,
	  MonoDevelop.SourceEditor.Document/DefaultFormattingStrategy.cs:
	  Moved to FormattingStrategy dir.
	* MonoDevelop.SourceEditor.FormattingStrategy/IFormattingStrategy.cs:
	  Use TextEditor instead of IFormattableDocument.
	* MonoDevelop.SourceEditor.FormattingStrategy/IFormattableDocument.cs:
	  Removed. Replaced by TextEditor.
	* Makefile.am, MonoDevelop.SourceEditor.mdp: Updated.

2007-02-22  Jeffrey Stedfast  <fejj@gnome.org>

	* MonoDevelop.SourceEditor.Properties/TextEditorProperties.cs:
	Added some new font properties that GeneralTextEditorPanel.cs
	needed in order to drop the need for the CustomizationObject.
	Also changed the default IndentStyle to Smart.

	* MonoDevelop.SourceEditor.Gui.OptionPanels/SyntaxHighlightingPanel.cs:
	Same as below.

	* MonoDevelop.SourceEditor.Gui.OptionPanels.MarkersTextEditorPanel.cs: 
	Same as below.

	* MonoDevelop.SourceEditor.Gui.OptionPanels/GeneralTextEditorPanel.cs: 
	Same as below.

	* MonoDevelop.SourceEditor.Gui.OptionPanels/BehaviorTextEditorPanel.cs:
	Don't use the CustomizationObject, wherever that comes
	from(?). Instead, directly use TextEditorProperties so that
	changing the defaults in TextEditorProperties changes it in the
	Preferences dialog as well.

2007-02-21  Jeffrey Stedfast  <fejj@gnome.org>

	* EditorBindings.glade: Fixed the UseUnderline attribute for the
	"_wrap mode" label.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.SourceEditor.mdp: Synchronized MD project
	  and makefile.

2007-02-13  Lluis Sanchez Gual <lluis@novell.com> 

	* EditorBindings.glade,
	  MonoDevelop.SourceEditor.Gui.OptionPanels/SyntaxHighlightingPanel.cs,
	  MonoDevelop.SourceEditor/SourceViewService.cs: Properly get and set
	  the color mask for language styles. Fixes bug #77101.

2007-02-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs,
	  MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs,
	  MonoDevelop.SourceEditor.Actions/DefaultEditActions.cs: Allow
	  indenting single lines. Fixes bug #80717.

2007-02-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorWidget.cs: Make sure markers
	  are not bigger than the height of a text line.
	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs,
	  MonoDevelop.SourceEditor.InsightWindow/IndexerInsightDataProvider.cs,
	  MonoDevelop.SourceEditor.Gui.OptionPanels/SyntaxHighlightingPanel.cs,
	  MonoDevelop.SourceEditor.Gui.Dialogs/GotoLineNumberDialog.cs: Fix
	  warnings.
	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Removed unneeded
	  code when trying to find the language item for which to show help.
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Update
	  marker sizes when font size changes.
	* bookmark.png: New bookmark icon.
	* Makefile.am, MonoDevelop.SourceEditor.mdp: Removed obsolete classes.

2007-02-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Added some null
	  checks. A file may not always be able to return a parser context.
	* Makefile.am: distcheck fixes
	* MonoDevelop.SourceEditor.mdp: Flush.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui.Dialogs/GotoLineNumberDialog.cs: Track
	  api changes in Document class.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs,
	  MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs,
	  MonoDevelop.SourceEditor.Actions/DefaultEditActions.cs: Implemented
	  IExtensibleTextEditor. Moved most of code completion code to
	  TextEditorExtension.
	* MonoDevelop.SourceEditor.InsightWindow/MethodInsightDataProvider.cs,
	  MonoDevelop.SourceEditor.InsightWindow/IndexerInsightDataProvider.cs:
	  Track api changes.
	* MonoDevelop.SourceEditor.addin.xml: Removed obsolete extensions.
	* MonoDevelop.SourceEditor.mdp: Updated.

2007-01-21  Atsushi Enomoto  <atsushi@ximian.com>

	* EditorBindings.glade,
	  MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs,
	  MonoDevelop.SourceEditor.Properties/TextEditorProperties.cs,
	  MonoDevelop.SourceEditor.Gui.OptionPanels/MarkersTextEditorPanel.cs:
	  added WrapMode selector in markers and rules section.

2007-01-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Avoid
	  crash when jumping to an empty line.

2006-12-07 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.mdp: Updated to ensure
	it can be built from MonoDevelop.

2006-12-01 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.addin.xml: Changed goto to go to.

2006-11-30 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Fixed a typo.
	Thanks to Mike Morano <mmorano@mikeandwan.us>.

2006-10-06 Andrés G. Aragoneses  <knocte@gmail.com>

	* MonoDevelop.SourceEditor.addin.xml: Added strings to l10n.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.addin.xml: Fixed a couple
	of HIG issues.	

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* .: Added svn:ignore for MonoDevelop.SourceEditor.pidb

2006-09-15 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.Gui/LanguageItemWindow.cs: Makes
	sure multiline documentation is shown correctly. Remove examples
	from popup documentation. Fixes bug #79363.
	
2006-09-12 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.Gui/LanguageItemWindow.cs: Moved
	things to Ambience plus cleaned up a bit.

2006-09-11 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.addin.xml: A few minor
	HIG updates.

2006-09-01 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	  Added missing Dispose call to base class.

2006-08-11 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.Gui/LanguageItemWindow.cs: Prepend
	namespace tooltips with a namespace clause.

2006-08-10 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.Gui/LanguageItemWindow.cs:
	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Provide the
	  ambience to use for code completion.
 
2006-08-07 Philip Turnbull <philip.turnbull@gmail.com>
	
	* MonoDevelop.SourceEditor.Gui/LanguageItemWindow.cs:
	* MonoDevelop.SourceEditor.InsightWindow/MethodInsightDataProvider.cs:
	* MonoDevelop.SourceEditor.InsightWindow/IndexerInsightDataProvider.cs:
	Track API changes in Ambience.

2006-08-07 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Ensure that the
	  cursor is visible after using the code completion window. Fixes
	  bug #78955.

2006-08-04 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs: 
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	  Implement support for IEncodedTextContent.

2006-08-02 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Added null checks.

2006-07-27 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Properly dispose
	  the code completion data provider. Increased the tooltip delay.

2006-07-17 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Show a tooltip with
	  identifier information when hovering over the source code.
	* MonoDevelop.SourceEditor.Gui/LanguageItemWindow.cs: Added.
	* MonoDevelop.SourceEditor.mdp: Updated.

2006-07-15  John Luke  <john.luke@gmail.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs:
	rename HasSelection to _HasSelection so it wont conflict with
	gtk 2.10 version
	* MonoDevelop.SourceEditor.Gui/SourceEditorWidget.cs:
	disambiguate PrintJob for gtk 2.10

2006-07-14 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs: When calling 
	  g_utf8_validate, use -1 as byte count, so it checks the whole text. 
	  Patch by John Luke. Fixes bug #78707.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Updated versions.

2006-05-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	  Added DisplayName property.

2006-05-29  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs: 
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: reverted changes - implemented in MonoDevelop.Ide

2006-05-23  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs: implementation of uppercase and lowercase actions
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: update interface implementation
	* Extras/MonoDevelop.SourceEditor/MonoDevelop.SourceEditor.addin.xml: include these actions in context menu

2006-05-22 Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs: Removed
	  ICSharpCode.SharpRefactory dependency.

2006-05-05 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.Gui.OptionPanels/CodeTemplatePanel.cs:
	  Code Template Combobox was adding a new column to store after
	  each action. Fix for bug #78082 by Chris Wilson.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Updated versions.
	* MonoDevelop.SourceEditor.mdp: Updated.

2006-04-19 Andrés G. Aragoneses  <knocte@gmail.com>

	* MonoDevelop.SourceEditor.FormattingStrategy/IndentStyle.cs: fixed typos.

2006-04-17 Andrés G. Aragoneses  <knocte@gmail.com>

	* MonoDevelop.SourceEditor.addin.xml: Added string to l10n and fixed a typo.

2006-04-07 Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Codons/EditActionCodon.cs:
	* MonoDevelop.SourceEditor.addin.xml: Added documentation.

2006-04-03 Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Fix for
	  bug #77945.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Updated references.
	
2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.SourceEditor.mdp: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* MonoDevelop.SourceEditor.addin.xml: Updated add-in versions.

2006-03-16  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	Use new DocumentationService.

2006-03-12  David Makovský (Yakeen) <yakeen@sannyas-on.net>

        * EditorBindings.glade: Marking some strings not to be translated. Not include balast in pot file.
	
2006-03-07 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.SourceEditor.Gui/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/EditorCommands.cs:
	* MonoDevelop.SourceEditor.addin.xml: Added printing support.
	  Patch by David Makovský.

2006-02-24 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	  Track api changes.
	* MonoDevelop.SourceEditor.Gui.OptionPanels/SyntaxHighlightingPanel.cs:
	  Removed unused namespace include.

2006-02-24 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.Gui.OptionPanels/GeneralTextEditorPanel.cs:
	Use one line per field, in order to get attributes properly applied.

2006-02-19 Andrés G. Aragoneses  <knocte@gmail.com>   

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs: added
	messages to l10n and improved one string.

2006-01-30 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs: workaround
	for bug #77362.

2006-01-26 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.SourceEditor.addin.xml: Added refactory commands to
	context menu.
	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Right click now
	moves the cursor to the clicked position.

2006-01-13 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Made extensible the
	context menu of the editor.

2006-01-10  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs: Track api changes.

2006-01-04  Alexandre Miguel Pedro Gomes <alexmipego@gmail.com>

	* MonoDevelop.SourceEditor.addin.xml: Added icon to Goto Line option.

2005-12-13  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	Track changes in the api.

2005-12-02 Itamar Rogel  <chastamar@yahoo.com>

	* Extras/MonoDevelop.SourceEditor/MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	Added XML and VBNET to the switch statement so new xml files that
	are added to a project would be identified as
	such and so would have proper syntax highlighting.
	bug #76882
	
2005-11-30  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	Fixed search when the search starts in the middle of the word being
	searched for. Fixed looping when backward search wraps.

2005-11-28  Peter Johanson  <latexer@gentoo.org> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Set the
	mime type for boo files for initial creation as well. Makes newly
	created boo files get syntax highlighting/completion.

2005-11-28  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Added missing label to toolbar.

2005-11-22 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	percent escape files before passing them to vfs to get the
	mimetype, fixes bug #75256
	
2005-11-17 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	initialize the formatter to the default, so that unsaved
	files will have a fmtr and not crash on a keypress
	bug #76729
	
2005-11-14  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs: Increased undo
	limit.
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs: Scroll
	to cursor after undoing or redoing.

2005-11-09 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	only FormatLine when IndentStyle is Smart
	part of bug #76652
	
2005-11-09  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	In InitializeFormatter don't crash for files without extension.
	Implement some new methods defined in ITextBuffer and IEditor.

2005-11-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	Implement some new methods defined in ITextBuffer and IEditor.

2005-10-28 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	add FormatLine to give us better smart indenting
	* MonoDevelop.SourceEditor.Actions/DefaultEditActions.cs:
	use FormatLine on enter instead of indentline
	
2005-10-28 John Luke <john.luke@gmail.com> 

	* EditorBindings.glade: add smart indent radio button
	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	indent through the formatter, instead of gtksourceview
	* MonoDevelop.SourceEditor.Gui/SourceEditorDisplayBinding.cs:
	load the formatters from the addin file per language
	* MonoDevelop.SourceEditor.Properties/TextEditorProperties.cs:
	add a FIXME comment
	* MonoDevelop.SourceEditor.Gui.OptionPanels/BehaviorTextEditorPanel.cs:
	load/store smart indent settings
	* MonoDevelop.SourceEditor.Actions/DefaultEditActions.cs:
	add return for indentation handling
	* MonoDevelop.SourceEditor.addin.xml: add Return EditAction
	
2005-10-28 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs (DeleteLine):
	rework to delete the whole line, not just erase its contents
	
2005-10-28 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs (PeekCharIsWhitespace):
	fix GTK+ assertion when the next char is a new line by
	using Offset instead of LineOffset
	
2005-10-23 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Actions/EditActionCollection.cs:
	filter out problematic Masks, so far just LockMask and Mod2Mask

2005-10-23 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.addin.xml: fix space
	* MonoDevelop.SourceEditor.Actions/DefaultEditActions.cs:
	fix completion for space key presses

2005-10-23 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Actions/IEditAction.cs:
	add PreExecute and PostExecute methods
	* MonoDevelop.SourceEditor.Actions/DefaultEditActions.cs:
	reset PassToBase to false after running the action
	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	call PreExecute and PostExecute methods
	fixes bug #76523

2005-10-19 John Luke <john.luke@gmail.com> 

	* *.cs: fix some warnings by removing unused fields
	
2005-10-19 Christian Hergert <christian.hergert@gmail.com>

	* MonoDevelop.SourceEditor/SourceViewService.cs: Check for a valid source
	languages manager before persisting settings to file.

2005-10-18 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	use new TreeNodeExists method instead of relying on an
	exception
	
2005-10-18 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Codons/EditActionCodon.cs:
	add all the current ModifierTypes in gdk 2.4
	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	order using statements, remove ProcessPressEvent()
	combine UnIndentSelection and IndentSelection
	implement editactions instead of a bunch of switch
	statements to control the editor, mark some methods
	internal
	* MonoDevelop.SourceEditor.Actions/IEditAction.cs:
	add PassToBase property
	* MonoDevelop.SourceEditor.Actions/DefaultEditActions.cs:
	move the default editing actions here as IEditActions
	* MonoDevelop.SourceEditor.Actions/EditActionCollection.cs:
	used to get unique IEditAction from a Gdk.Key and Gdk.ModifierType
	* MonoDevelop.SourceEditor.addin.xml: add EditActions
	* Makefile.am: add EditActionCollection and DefaultEditActions
	
2005-10-17 John Luke <john.luke@gmail.com> 

	* MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	add InsertTemplate () method which handles the details for us
	and move the relevant code to it
	* MonoDevelop.SourceEditor.Codons/EditActionCodon.cs:
	MonoDevelop.SourceEditor.Actions/IEditAction.cs: update and implement
	for gdk key handling, they are still not used
	* MonoDevelop.SourceEditor.addin.xml: change InsertTemplate key to Tab
	
2005-10-11 John Luke <john.luke@gmail.com> 

	*  MonoDevelop.SourceEditor.Gui/SourceEditorView.cs:
	make tab activate templates instead of space
	part of bug #55843
	
2005-10-11 John Luke <john.luke@gmail.com> 

	*  MonoDevelop.SourceEditor.Gui/SourceEditorView.cs (GetLineAsString):
	don't go ForwardToLineEnd if we are already at EndsLine
	fixes bug# 76208
	
2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.
	* MonoDevelop.SourceEditor/SourceViewService.cs: create the language
	manager in InitializeService.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Added addin dependencies.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Install the assembly in the AddIns directory.

2005-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* Renamed to from MonoDevelop.SourceEditor.
	Changed internal organization of files and namespaces.
	
2005-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/SourceEditorDisplayBinding.cs: IDocumentInformation.FileName
	now returns the untitled file name if the file has not been saved.
	This fixes bug #61771.
	Use special search flags that work for the old and the new API
	of gtksourceview (the enum values where changed in the API).
	Fixes bug #75770.

2005-08-20  John Luke  <john.luke@gmail.com>

	* Gui/SourceEditorBuffer.cs:
	* Gui/SourceEditorView.cs: fix some warnings with the new
	gtk#
	
2005-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/SourceEditorView.cs: Display the completion window even if
	the char at the cursor is not a whitespace.

2005-08-12  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelopEditor.addin.xml:
	* Gui/SourceEditorDisplayBinding.cs: Use stock icon id instead of
	file name.

2005-08-10  Ben Motmans  <ben.motmans@gmail.com>

	* SourceEditor.mdp: references update

2005-08-09  Lluis Sanchez Gual  <lluis@novell.com> 

	* InsightWindow/IndexerInsightDataProvider.cs:
	* InsightWindow/MethodInsightDataProvider.cs:
	* Gui/SourceEditorView.cs: Use the new IParserContext API.
	
	* Gui/SourceEditorDisplayBinding.cs: Implement IEditable.TextChanged.

2005-08-06  John Luke  <john.luke@gmail.com>

	* SourceEditor.mdp: update
	
2005-08-03  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelopEditor.addin.xml: Removed old menu entries.

2005-07-27  Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/SourceEditorDisplayBinding.cs: Make sure the PropertyChanged
	handler runs in the gui thread.

2005-07-22  John Luke  <john.luke@gmail.com>

	* SourceEditor.mdp: remove completion files moved into Base assembly

2005-07-20  Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/SourceEditorWidget.cs: Factorized some code into
	SearchReplaceManager.

2005-07-20  Peter Johanson  <latexer@gentoo.org>

	* CodeCompletion/*: Migrated to MonoDevelop.Base assembly.
	* Makefile.am: Remove CodeCompletion file entries.
	* Gui/SourceEditorView.cs:
	* InsightWindow/InsightWindow.cs:
	* InsightWindow/IndexerInsightDataProvider.cs:
	* InsightWindow/MethodInsightDataProvider.cs: Changed to reflect
	completion API/location changes.

2005-07-20  Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/SourceEditorWidget.cs: Implemented FindPrevious command.
	* Gui/SourceEditorDisplayBinding.cs: Implemented SelectionStartPosition
	and SelectionEndPosition properties. Implemented an ITextIterator
	that supports SourceView's native search methods.
	* MonoDevelopEditor.addin.xml: Added FindPrevious command to the menu.

2005-07-13  John Luke  <john.luke@gmail.com>

	* Gui/SourceEditorView.cs: make DeleteLine () use AtomicUndo
	remove incorrect special case for shift + del as it is = cut
	and control + k for DeleteLine like emacs
	fixes bug #75425, based on patch by Paul.Betts@Gmail.com (Paul Betts)

2005-07-13  John Luke  <john.luke@gmail.com>

	* CodeCompletion/ListWindow.cs: scroll with the mousewheel
	* CodeCompletion/CompletionListWindow.cs: complete on double-click

2005-07-13  Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/SourceEditorDisplayBinding.cs: The editor is now responsible
	of showing its own widgets.
	
2005-07-01  Jacob Ils Christensen  <jacobilsoe@gmail.com>

	* Gui/Dialogs/GotoLineNumberDialog.cs:
	* Gui/SourceEditorDisplayBinding.cs:
	Make lines and columns 1-based.
	
2005-07-01  Jacob Ils Christensen  <jacobilsoe@gmail.com>

	* CodeCompletion/ListWindow.cs: Make sure the list
	window is no larger than necessary.

2005-06-28  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (FILES): Move AssemblyInfo.cs ...
	(GENERATED_FILES): ... here.

2005-06-27  Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/SourceEditorWidget.cs: Added some imports.
	
	* Search/*.cs:
	* Commands/SearchCommands.cs:
	* Gui/Dialogs/ReplaceInFilesDialog.cs:
	* Gui/Dialogs/ReplaceDialog.cs: Moved to MonoDevelop.Base.
	
	* Gui/SourceEditorDisplayBinding.cs: Implement some new interfaces.
	* Commands/BookmarkCommands.cs: Those are implemented with inline
	command handlers.
	
	* texteditoraddin.glade: Moved search/replace dialogs to MonoDevelop.Base.
	* Makefile.am: Removed moved files.
	* MonoDevelopEditor.addin.xml: Search/replace commands are now defined in
	MonoDevelop.Base.

2005-06-09  Lluis Sanchez Gual  <lluis@novell.com> 

	* Services/SourceViewService.cs: Added null check.
	* CodeCompletion/CompletionListWindow.cs: Added some error checking to
	avoid crashes.
	* MonoDevelopEditor.addin.xml: Create a toolbar specific for the editor.

2005-05-22  Todd Berman  <tberman@off.net>

	* Gui/Dialogs/ReplaceDialog.cs:
	* Gui/Dialogs/ReplaceInFilesDialog.cs:
	Duh. Actually fix #74965 totally. stupid miss on my end.

2005-05-21  Todd Berman  <tberman@off.net>

	* Gui/Dialogs/ReplaceDialog.cs:
	* Gui/Dialogs/ReplaceInFilesDialog.cs:
	Fix #74965.

2005-05-21  Todd Berman  <tberman@off.net>

	* Search/SearchReplaceManager.cs:
	* Search/SearchStrategy/RegExSearchStrategy.cs:
	* Search/SearchReplaceInFilesManager.cs:
	Fix #74966 and display a meaningful error message.

2005-05-20  Jacob Ils Christensen  <jacobilsoe@gmail.com>

	* Gui/SourceEditorView.cs: Fixed problem with monodoc on words followed by a newline.

2005-05-16  Jacob Ils Christensen  <jacobilsoe@gmail.com>

	* Gui/SourceEditorView.cs: Added support to ctrl+tab/shift+ctrl+tab through open files.

2005-05-15  Todd Berman  <tberman@off.net>

	* texteditoraddin.glade: Add some missing 'Activates Default' props.

2005-05-15  Lluis Sanchez Gual  <lluis@novell.com> 

	* EditorBindings.glade: Many fixes to make the dialogs more conforming
	to the HIG.
	* Gui/SourceEditorView.cs: Added IntPtr constructor to make gtk# happy.
	* Gui/SourceEditorDisplayBinding.cs: Removed unused code. Minor fixes.

2005-04-30  Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/SourceEditorWidget.cs: Handler toggle breakpoint command.
	* Gui/SourceEditorView.cs: Use the new command system to show
	the contextual menu.
	* Gui/SourceEditorDisplayBinding.cs: Show only breakpoints for the
	file being edited. Catch exceptions when reloading the file.
	* MonoDevelopEditor.addin.xml: Added some command descriptions.

2005-04-27  Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/SourceEditorDisplayBinding.cs: Don't crash if the debugger
	is not installed.

2005-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/SourceEditorView.cs:
	* Gui/SourceEditorDisplayBinding.cs: Track changes in breakpoints, and
	debug execution location.

2005-04-26  Lluis Sanchez Gual  <lluis@novell.com>

	* texteditoraddin.glade: Added missing stop button in the replace
	in files dialog.

2005-04-25  Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/SourceEditorWidget.cs: Moved here editor-specific commands.
	* Gui/SourceEditorDisplayBinding.cs: The methods for managing
	bookmarks are now in the editor widget, not the buffer.
	* Commands/EditorCommands.cs: New enum with IDs for edit commands.
	* Commands/SearchCommands.cs: Moved editor-specific commands to
	SourceEditorWidget.cs.
	* MonoDevelopEditor.addin.xml: Created the new command structure.

2005-04-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/SourceEditorWidget.cs:
	* Gui/SourceEditorBuffer.cs:
	* SourceEditorDisplayBinding.cs: Improve memory usage.

2005-04-17  John Luke  <john.luke@gmail.com>

	* Makefile.am: fix distcheck

2005-04-09  John Luke  <john.luke@gmail.com>

	* CodeCompletion/ListWindow.cs: dont crash
	if the provider is null, fixes bug #74492

2005-04-09  John Luke  <john.luke@gmail.com>

	* Services/SourceViewService.cs: catch XmlException
	while restoring style/color prefs

2005-04-06  John Luke  <john.luke@gmail.com>

	* Services/SourceViewService.cs: dont serialize
	the defaults, add some logging, and use SourceTag.Id
	not the .Name

2005-04-06  Alexandre Gomes  <alexmipego@gmail.com>
	
	* Services/SourceViewService.cs: Fix a small problem that can occur
	to svn users since some users that can be missing isDefault at all.

2005-04-05  John Luke  <john.luke@gmail.com>

	* Gui/OptionPanels/SyntaxHighlightingPanel.cs:
	fix two buglets with the sensitivity of restore
	apparently we have to set .IsDefault to false ourselves
	and update the toggle/colorbutton when it is restored
	* Services/SourceViewService.cs: add is_default to
	store/restore
	
2005-04-02  John Luke  <john.luke@gmail.com>

	* EditorBindings.glade: add glade part of new Panel
	* Services/SourceViewService.cs: new service to share
	the SourceLanguagesManager info
	* Gui/SourceEditorBuffer.cs: use service
	* Gui/OptionPanels/SyntaxHighlightingPanel.cs: new panel
	for controlling all things about syntax highlighting
	* Gui/OptionPanels/GeneralTextEditorPanel.cs: move enable syntax
	highlighting to its own panel
	* Makefile.am: add new files
	* MonoDevelopEditor.addin.xml: add service

2005-03-14  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/SourceEditorWidget.cs: Added IntPtr constructor. Nullify
	DisplayBinding field on dispose.
	* Gui/SourceEditorDisplayBinding.cs: Set SourceEditor to null on dispose.

2005-03-10  John Luke  <john.luke@gmail.com>

	* Gui/SourceEditorView.cs:
	* Gui/SourceEditorDisplayBinding.cs: dont create
	a char array from the string, it is already indexed
	that way

2005-03-09  John Luke  <john.luke@gmail.com>

	* Gui/SourceEditorDisplayBinding.cs: only
	UpdateFSW if File.Exists, otherwise we would crash

2005-03-07  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/SourceEditorWidget.cs: Properly dispose the widget.
	* Gui/SourceEditorView.cs: Added dispose method.
	* Gui/SourceEditorDisplayBinding.cs: Unsubscribe events on dispose.
	* CodeCompletion/CodeCompletionDataProvider.cs: Track api changes.
	* MonoDevelopEditor.addin.xml: Removed unused view.

2005-02-26  Poul Andersen  <pba@mailme.dk>
	* Gui/Dialogs/ReplaceDialog.cs: Added property DialogPointer.
	* Gui/Dialogs/ReplaceInFilesDialog.cs: Added property DialogPointer.
	Added StopButton for search in files.
	* Commands/SearchCommands.cs: Added call to SetSearchPattern to ensure
	selected text in the editor is used for searching.
	* Search/SearchReplaceManager.cs: Changed MessageBoxes to call 
	Runtime.Service... using new "window on top" modal dialog box.
	* Search/SearchReplaceInFilesManager.cs: Added property DialogPointer
	* texteditoraddin.glade: Added Stop Button for Find in Files.

2005-02-26  John Luke  <john.luke@gmail.com>

	* Gui/SourceEditorWidget.cs: dont always set Highlight=true
	* Gui/OptionPanels/MarkersTextEditorPanel.cs: un-sensitize ShowErrors
	* Gui/SourceEditorDisplayBinding.cs: only modify properties
	that were changed.
	* Gui/OptionPanels/GeneralTextEditorPanel.cs:
	* Properties/TextEditorProperties.cs:
	* EditorBindings.glade: add SyntaxHighlight check button

2005-02-23  Christian Hergert <christian.hergert@gmail.com>

	* Gui/Dialogs/ReplaceDialog.cs: Check for null to prevent Exception.

2005-02-22  John Luke  <john.luke@gmail.com>

	* CodeCompletion/CodeCompletionDataProvider.cs:
	track the added Classes so we dont add them twice to the
	completion list, I think it should fix bug 72941

2005-02-22  John Luke  <john.luke@gmail.com>

	* Gui/SourceEditorView.cs (ScrollDown): don't change the
	value above maxvalue, fixes a little stutter I noticed

2005-02-12  Christian Hergert <christian.hergert@gmail.com>

	* Gui/SourceEditorBuffer.cs: Changed to DllImport the .dll rather
	than .so for glib.

2005-02-10  Ben Motmans  <ben.motmans@gmail.com>

	* Gui/SourceEditorView.cs: Added ScrollUp and ScrollDown methods
	for ctrl-up/down keybinds

2005-02-02  John Luke  <john.luke@gmail.com>

	* EditorBindings.glade:
	* Gui/OptionPanels/MarkersTextEditorPanel.cs:
	* Gui/OptionPanels/GeneralTextEditorPanel.cs:
	use Gnome.FileEntry where appropriate
	remove window-ish editor props (show line endings, etc)
	remove double buffering pref (we always are)

2005-02-01  John Luke  <john.luke@gmail.com>

	* Gui.SourceEditorBuffer.cs: use ErrorInfo
	and error underline improvements

2005-01-31  John Luke  <john.luke@gmail.com>

	* EditorBindings.glade:
	* Gui/SourceEditorBuffer.cs:
	* Gui/SourceEditorView.cs:
	* Gui/OptionPanels/MarkersTextEditorPanel.cs:
	* Gui/SourceEditorDisplayBinding.cs:
	* Properties/TextEditorProperties.cs:
	finish off underlining of errors, seems to
	work alright

2005-01-31  John Luke  <john.luke@gmail.com>

	* EditorBindings.glade:
	* Gui/SourceEditorView.cs:
	* Gui/OptionPanels/BehaviorTextEditorPanel.cs:
	* Gui/SourceEditorDisplayBinding.cs:
	* Properties/TextEditorProperties.cs:
	remove a couple useless texteditor props, enable
	the AutoInsertTemplates property

2005-01-31  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/SourceEditorDisplayBinding.cs:
	* Gui/SourceEditorBuffer.cs: Highlight the selected line when jumping
	from the task view. ScrollMarkOnscreen after paste command.
	* Gui/SourceEditorView.cs: Use function overrides instead of
	subscribing its own events.

2005-01-31  John Luke <john.luke@gmail.com>

	* EditorBindings.glade
	* Gui/OptionPanels/GeneralTextEditorPanel.cs:
	use Gtk.FontButton instead of Gnome.FontPicker

2005-01-30  Todd Berman  <tberman@off.net>

	* CodeCompletion/CompletionListWindow: comment out
	UpdateDeclarationView in one place because it crashes
	sometimes

2005-01-30  John Luke <john.luke@gmail.com>

	* Gui/SourceEditorView.cs: only show completion if the
	next char is not whitespace, ctl+space will override this
	fixes bug# 60113

2005-01-30  Todd Berman  <tberman@off.net>

	* CodeCompletion/CompletionListWindow.cs: Small changes, make sure the
	placement of the declaration view window is redone when the list size
	is changed. Fixes bug #71974

2005-01-29  Todd Berman  <tberman@off.net>

	* Gui/SourceEditorView.cs: Only show "Breakpoint" if the
	DebuggingService is available.

2005-01-27  John Luke  <john.luke@gmail.com>

	* EditorBindings.glade:
	* texteditoraddin.glade: update to new glade format

	* EditorBindings.glade:
	* texteditoraddin.glade:
	* CodeCompletion/ListWindow.cs:
	* Gui/SourceEditorBuffer.cs:
	* Gui/SourceEditorDisplayBinding.cs
	* Gui/SourceEditorWidget.cs:
	* Gui/SourceEditorView.cs:
	* Gui/Dialogs/ReplaceDialog.cs:
	* Gui/Dialogs/ReplaceInFilesDialog.cs:
	* Gui/OptionPanels/CodeTemplatePanel.cs:
	* Gui/OptionPanels/GeneralTextEditorPanel.cs:
	* InsightWindow/InsightWindow.cs:
	* Search/DocumentIterator/DirectoryDocumentIterator.cs:
	use ComboBox instead of OptionMenus
	use Gtk.Entry w/completion instead of Gnome.Entry
	remove obselete warnings, etc.

	* Makefile.am: remove Html from build
	* Commands/ProjectCommands.cs: comment out that
	* Gui/Dialogs/ExportProjectToHtmlDialog.cs: kill this

2005-01-26  Christian Hergert <chris@mosaix.net>
	* Gui/SourceEditorView.cs: Fix for new ShowView method in
	DefaultWorkbench.

2005-01-26  John Luke  <john.luke@gmail.com>

	* Makefile.am:
	* Gui/SourceEditorDisplayBinding.cs: use Gnome.Vfs

2005-01-26  Todd Berman  <tberman@off.net>

	* CodeCompletion/CompletionListWindow.cs:
	* CodeCompletion/CodeCompletionData.cs:
	* CodeCompletion/ListWindow.cs:
	* CodeCompletion/DeclarationViewWindow.cs: A bit of a nicer overload
	dialog.

2005-01-26  Alexandre Gomes  <alexmipego@gmail.com>

	* CodeCompletion/CompletationListWindow.cs: Fixed completion
	window when near screen edges.

2005-01-26  Alexandre Gomes  <alexmipego@gmail.com>

	* CodeCompletion/CompletationListWindow.cs:
	* CodeCompletion/ListWindow.cs: Closes bug #71686. Also makes
	list sorted case-isensitive.

2005-01-25  Todd Berman  <tberman@off.net>

	* Gui/SourceEditorDisplayBinding.cs: Use new
	IWorkbenchWindow.ShowNotification for when a file has been modified
	outside MD.

2005-01-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/Pads/CompilerMessageView.cs: 
	* Makefile.am: CompilerMessageView moved to Monodevelop.Base. 
	
	* Commands/SearchCommands.cs:
	* Search/SearchReplaceManager.cs:
	* Search/DocumentIterator/CurrentDocumentIterator.cs:
	* Search/DocumentIterator/WholeProjectDocumentIterator.cs:
	* Search/DocumentIterator/AllOpenDocumentIterator.cs:
	* Gui/SourceEditorDisplayBinding.cs: New GUI for warning about modified
	files.

2005-01-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/SourceEditorDisplayBinding.cs: Use a different method for detecting
	that a file change event is the result of a save operation (the current
	doesn't work if the that event is delayed).

2005-01-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/Dialogs/ExportProjectToHtmlDialog.cs:
	* InsightWindow/MethodInsightDataProvider.cs:
	* InsightWindow/InsightWindow.cs:
	* InsightWindow/IInsightDataProvider.cs:
	* InsightWindow/IndexerInsightDataProvider.cs:
	* CodeCompletion/CompletionListWindow.cs
	* CodeCompletion/CompletionWindow.cs:
	* CodeCompletion/CommentCompletionDataProvider.cs: 
	* CodeCompletion/ICompletionDataProvider.cs:
	* CodeCompletion/CodeCompletionDataProvider.cs: 
	* CodeCompletion/TemplateCompletionDataProvider.cs:
	* Search/DocumentIterator/WholeProjectDocumentIterator.cs:
	  Follow architecture changes.

2004-12-14  Todd Berman  <tberman@off.net>

	* Gui/SourceEditorDisplayBinding.cs: Finish off some code to detect
	if a source file is changed externally, so it can be reloaded.

2004-12-14  Todd Berman  <tberman@off.net>
	
	* Gui/SourceEditorBuffer.cs: Single line commenting changed a bit.
	Fixed bug #70574.

2004-12-13  Lluis Sanchez Gual  <lluis@novell.com>

	* Search/SearchReplaceUtilities.cs: 
	* Search/SearchStrategy/BruteForceSearchStrategy.cs: Word boundaries
	can be white spaces or punctuation chars. Added new method 
	IsWordSeparator that checks both.

2004-12-11  Alexandre Gomes <alexmipego@hotmail.com>
	
	* Gui/SourceEditorDisplayBinding.cs: Added support for the already
	implemented Indent and UnIndent selection.

2004-12-10  Alexandre Gomes <alexmipego@hotmail.com>
	
	* Gui/SourceEditorDisplayBinding.cs:
	* Gui/SourceEditorBuffer.cs: Keys 'Home' and 'End' while having
	selected text now moves to Start/End of selection instead of Start/End
	of insertmark line.
	
2004-12-07  Alexandre Gomes <alexmipego@hotmail.com>
	
	* Gui/SourceEditorDisplayBinding.cs,
	* Gui/SourceEditorBuffer.cs: Added implementation for CommentCode and
	UncommentCode

2004-12-07  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/Pads/CompilerMessageView.cs: Subscribe to service events using
	gui-thread aware delegates. Use Runtime class to access services.
	* Search/SearchReplaceInFilesManager.cs: TaskService is now gui-thread
	safe, so this class can be simplified.

2004-12-06  Lluis Sanchez Gual  <lluis@novell.com>

	* InsightWindow/MethodInsightDataProvider.cs:
	* InsightWindow/IndexerInsightDataProvider.cs:
	* CodeCompletion/CodeCompletionData.cs:
	* CodeCompletion/CommentCompletionDataProvider.cs:
	* CodeCompletion/CodeCompletionDataProvider.cs: ClassBrowserIconsService
	methods are now in IconService.

2004-12-03  Alp Toker  <alp@atoker.com>

	* CodeCompletion/CompletionListWindow.cs: Fix tooltip positioning.

2004-12-03  Todd Berman  <tberman@off.net>

	* Gui/SourceEditorBuffer.cs:
	* Gui/SourceEditorView.cs:
	* Gui/SourceEditorDisplayBinding.cs:
	* CodeCompletion/CompletionListWindow.cs:
	* CodeCompletion/CompletionWindow.cs: Update to new gtk# API.

2004-11-24  Alp Toker  <alp@atoker.com>

	* CodeCompletion/CodeCompletionData.cs:
	* CodeCompletion/CompletionListWindow.cs:
	* CodeCompletion/DeclarationViewWindow.cs:
	Fix wrapping of completion documentation.
	Remove redundant overload count.
	Add arrow UI hint for selecting an overloaded method.
	Don't reinstantiate the tooltip each time.
	Ignore bogus identical overloads.
	* CodeCompletion/ListWindow.cs:
	Make list rendering more like Gtk+ and don't override user's font size

2004-11-23  Alp Toker  <alp@atoker.com>

	* CodeCompletion/CodeCompletionData.cs:
	* CodeCompletion/CompletionListWindow.cs:
	* CodeCompletion/CodeCompletionDataProvider.cs:
	Initial code completion support for overloaded methods.

2004-10-12  Gert Driesen <drieseng@users.sourceforge.net>

	* Commands/SearchCommands.cs: use alias to work around mcs change
	* Search/SearchReplaceManager.cs
	* Search/DocumentIterator/EditorDocumentInformation.cs
	* Search/DocumentIterator/CurrentDocumentIterator.cs
	* Search/DocumentIterator/DirectoryDocumentIterator.cs
	* Search/DocumentIterator/WholeProjectDocumentIterator.cs
	* Search/DocumentIterator/AllOpenDocumentIterator.cs

2004-10-04  Todd Berman  <tberman@off.net>

	* Gui/SourceEditorView.cs:
	* CodeCompletion/ListWindow.cs: Need to use System.Char w/
	gtk-sharp-2-0 for some reason. Not sure why.

2004-09-18  Lluis Sanchez Gual  <lluis@ximian.com>

	* Gui/SourceEditorView.cs: Use the new completion window.
	* CodeCompletion/CompletionListWindow.cs: New completion window for the
	source editor.
	* CodeCompletion/ListWindow.cs: The list window from which
	CompletionListWindow inherits.
	* Search/SearchReplaceInFilesManager.cs: Catch exceptions during search and
	replace, and show an error message in this case.
	* Search/TextIterator/ForwardTextFileIterator.cs: File.Move does not allow
	overwriting files. Changed to Copy.
	* Makefile.am: Added new files.

2004-08-07  Todd Berman  <tberman@off.net>

	* AssemblyInfo.cs.in: Use new ASSEMBLY_VERSION variable.

2004-07-05  John Luke  <jluke@cfl.rr.com>

	* Gui/SourceEditorDisplayBinding.cs:
	* Gui/SourceEditorView.cs: remove pinvokes where possible
	anything that needs to be done in unmanaged code needs to go
	to gtksourceview-sharp, except g_utf8_validate for now

2004-07-01  Todd Berman  <tberman@off.net>

	* CodeCompletion/CompletionWindow.cs: Fix bug #61020, by marking the
	completion window a transient for the main window.

2004-07-01  Todd Berman  <tberman@off.net>

	* CodeCompletion/CompletionWindow.cs: Sigh, this was an evil bug
	to let slip, this will work far far better though. Now the completion
	gui should go away properly.

2004-06-29  Todd Berman  <tberman@off.net>

	* Gui/SourceEditorDisplayBinding.cs: Removing that patch for now,
	that was half-cooked.

2004-06-28  Todd Berman  <tberman@off.net>

	* Gui/SourceEditorDisplayBinding.cs: Add a FSW to monitor for external
	changes to a loaded file.

2004-06-26  Lluis Sanchez Gual  <lluis@ximian.com>

	* Search/SearchReplaceManager.cs: Make sure the search starts at the current
	  cursor position.
	  
	* Search/SearchReplaceUtilities.cs: Added IsWholeWordAt() method, to be
	  reused from all search strategies.
	  
	* Search/SearchResult/ISearchResult.cs,
	  Search/SearchResult/DefaultSearchResult.cs: Removed unused 
	  CreateDocument(). The documentInformation now returns and interface: 
	  IDocumentInformation.
	  
	* Search/SearchStrategy/KMPSearchStrategy.cs,
	  Search/SearchStrategy/WildcardSearchStrategy.cs,
	  Search/SearchStrategy/RegExSearchStrategy.cs:
	  Removed SourceEditorBuffer dependency. Everything is done through the 
	  text iterator.
	  
	* Search/SearchStrategy/BruteForceSearchStrategy.cs: Implemented a more 
	  efficient search algorithm.
	  
	* Search/DocumentIterator/IDocumentInformation.cs: New interface that
	  represents a file to be searched. The SourceEditorBuffer dependency has
	  been removed so the file don't need to be loaded.
	  
	* Search/DocumentIterator/CurrentDocumentIterator.cs,
	  Search/DocumentIterator/AllOpenDocumentIterator.cs: Current property
	  now returns a EditorDocumentInformation instance.
	  
	* Search/DocumentIterator/EditorDocumentInformation.cs: New File. Document 
	  information for a file opened in the editor.
	  
	* Search/DocumentIterator/DirectoryDocumentIterator.cs: Current property
	  now returns a FileDocumentInformation instance.
	  
	* Search/DocumentIterator/WholeProjectDocumentIterator.cs: Current property
	  now returns a EditorDocumentInformation if the file is opened, or 
	  FileDocumentInformation otherwise.
	  
	* Search/DocumentIterator/IDocumentIterator.cs,
	  Search/DocumentIterator/ReverseDocumentIterator.cs: Current now returns a
	  IDocumentInformation.
	  
	* Search/DocumentIterator/ProvidedDocumentInformation.cs: Removed.
	
	* Search/DocumentIterator/FileDocumentInformation.cs: New File. Document
	  information for a file not opened in the editor.
	  
	* Search/DefaultFind.cs: Removed ITextIteratorBuilder dependency. Text
	  iterators are now created through the IDocumentInformation instance.
	  Added support for cancellation. 
	  Do replacements through the textIterator instead of the document.
	  
	* Search/SearchReplaceInFilesManager.cs: Do the search in a background
	  thread.
	  
	* Search/IFind.cs: Removed ITextIteratorBuilder dependency. Added Cancel(),
	  SearchedFileCount and MatchCount.
	
	* Search/TextIterator/ITextIteratorBuilder.cs,
	  Search/TextIterator/ForwardTextIteratorBuilder.cs: Removed. Iterator 
	  creation is now done through the IDocumentInformation instance.
	  
	* Search/TextIterator/ExtendedStreamReader.cs: Extends StreamReader to
	  allow position change and modification of the stream (adapted from the
	  one in mcs).
	  
	* Search/TextIterator/ForwardTextIterator.cs: GetCharRelative now returns
	  Char.MinValue if the relative position is out of the text limits.
	  Added ReadToEnd and Replace. Other minor fixes.
	  
	* Search/TextIterator/ForwardTextFileIterator.cs: New iterator for files
	  in disk. It uses and extended StreamReader to search directly from the
	  disk file.
	  
	* Search/TextIterator/ITextIterator.cs: Removed SourceEditorBuffer
	  dependency.
	  
	* Makefile.am: Updated.

2004-06-22  Todd Berman  <tberman@off.net>

	* CodeCompletion/CompletionWindow.cs: Changed from Destroy to
	this LostFocusListView inside ShuffleSelection. I don't think this
	introduces any undo bugs.

2004-06-21  Todd Berman  <tberman@off.net>

	* Gui/SourceEditorView.cs:
	* CodeCompletion/CompletionWindow.cs:
	Refactor to use one static instance of the completion window across
	the entire app instead of recreating it every time. Now it is accessed
	via:
	
	CompletionWindow.ShowWindow (args);
	
	Everything should be functionally the same for the end user.
	* CodeCompletion/CodeCompletionDataProvider.cs:
	restyle, cleanup formatting.
	* MonoDevelop.SourceEditor.dll.config:
	Add gtksourceview-1.0 -> libgtksourceview-1.0.so.0 mapping.

2004-06-21  Todd Berman  <tberman@off.net>

	* CodeCompletion/CompletionWindow.cs: Small code cleanups.

2004-06-11  Lluis Sanchez Gual  <lluis@ximian.com>

	* CodeCompletion/CompletionWindow.cs: Make sure that EndAtomicUndo is called
	  when the completion list is empty. This should definitely fix the undo
	  issue.

2004-06-11  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: pretty sure this is the undo
	bug that has people all freaked out (for good reason). well, one of the
	two changed lines is, the other is just to be a bit more correct.

2004-06-10  John BouAntoun  <jba-mono@optusnet.com.au>

	* Gui/Dialogs/ReplaceInFilesDialog.cs: Fix ReplaceInFilesDialog to 
	make it show instead of crashing MD, also made the '...' browse 
	button pick up current path or use default project path in the 
	folder selection dialog it opens up.

2004-06-10  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorBuffer.cs: use the win32 dll name that gtk-sharp
	uses for coherence.
	* Makefile.am: properly install .dll.config
	* MonoDevelop.SourceEditor.dll.config: new mapping file
	* Search/DocumentIterator/WholeProjectDocumentIterator.cs: remove
	warning

2004-06-10  John BouAntoun  <jba-mono@optusnet.com.au>
	* Gui/Dialogs/GotoLineNumberDialog.cs: made dialog close on pressing
	escape key.

2004-06-10  John BouAntoun  <jba-mono@optusnet.com.au>
	* Gui/SourceEditorBuffer.cs: Added g_utf8_validate check to LoadText, 
	refactored LoadText and LoadFile usage
	* Search/DefaultFind.cs: Added check for empty string .Text property
	of a source buffer in find routine. BuildTextIterator hangs on 
	empty strings for some reason

2004-06-06  John Luke  <jluke@cfl.rr.com>

	* Gui/SourceEditorWidget.cs: set PolicyType.Automatic for scrolling
	fixes bug #58767

2004-05-28  Todd Berman  <tberman@sevenl.net>

	* Gui/OptionPanels/CodeTemplatePanel.cs:
	* CodeCompletion/CompletionWindow.cs: update to reflect gtk-sharp api
	out -> ref change

2004-05-25  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: Update MonodocResolver for new changes.
	* CodeCompletion/CodeCompletionDataProvider.cs: Update IsAsResolver
	stuff for new ParserService.

2004-05-24  Lluis Sanchez Gual  <lluis@ximian.com>

	* Gui/SourceEditorBuffer.cs: Close the files used to read the text.
	
	* Gui/SourceEditorView.cs: Provide the project of the current file when
	  creating the code completion window.
	  
	* CodeCompletion/CodeCompletionData.cs: Removed ClassProxy stuff.
	
	* CodeCompletion/CompletionWindow.cs: Added project parameter to ctor.
	
	* CodeCompletion/ICompletionDataProvider.cs,
	  CodeCompletion/CommentCompletionDataProvider.cs,
	  CodeCompletion/TemplateCompletionDataProvider.cs,
	  CodeCompletion/CodeCompletionDataProvider.cs: Added project parameter
	  to GenerateCompletionData().
	  
	* InsightWindow/MethodInsightDataProvider.cs
	  InsightWindow/InsightWindow.cs: Added project parameter to constructor.
	  
	* InsightWindow/IInsightDataProvider.cs,
	  InsightWindow/IndexerInsightDataProvider.cs: Added project parameter to
	  SetupDataProvider.

2004-05-22  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: applied patch by Gustav Munkby <grrdev AT
	gmx.net> to fix bug #58789.

2004-05-20  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorBuffer.cs: update to gtk-sharp from cvs.

2004-05-17  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: workaround potential nullref.

2004-05-16  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: Implement beta monodoc resolving.
	This works only with types for right now, so its now 100% of what
	you would expect.

2004-05-09  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: bring current with gtk-sharp cvs.
	* Gui/OptionPanels/CodeTemplatePanel.cs: ^^

2004-04-30  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: properly handle enter.

2004-04-29  Todd Berman  <tberman@sevenl.net>

	* Gui/OptionPanels/CodeTemplatePanel.cs: match gtk-sharp from cvs.

2004-04-28  Pawel Rozanski  <tokugawa@afn.no-ip.org>

	* Gui/SourceEditorDisplayBinding.cs: added a case for setting mime for
	new Nemerle files.

2004-04-27  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorDisplayBinding.cs: workaround some to reduce the
	amount of times the idle handler is called, and to reuse the delegate.

2004-04-27  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorBuffer.cs:
	* Gui/SourceEditorView.cs:
	* Gui/SourceEditorDisplayBinding.cs: update to match gsv-sharp from
	cvs.

2004-04-26  John Luke  <jluke@cfl.rr.com>

	* Gui/SourceEditorDisplayBinding.cs: add python mimetype to
	CanCreateContent, needs a more robust fix

2004-04-26  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorDisplayBinding.cs: Make goto matching brace work
	a bit better. now ctrl+b ctrl+b will bring you back to the same place.

2004-04-24  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: make sure to properly handle
	people typing things other than whats in our window (that is legal
	too... (for now ;) )).

2004-04-24  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CodeCompletionDataProvider.cs: hook into is/as resolve
	method.

2004-04-23  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorBuffer.cs: add a check for a 0 length iter.Char
	value, closes bug #57549.

2004-04-20  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: Properly attach to the lost focus
	event.
	* CodeCompletion/CodeCompletionDataProvider.cs: add //'d dbg info
	* Gui/SourceEditorView.cs: more of the same.

2004-04-19  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CodeCompletionDataProvider.cs: Wrap docs.

2004-04-19  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: call the right resolver method.
	* CodeCompletion/CodeCompletionDataProvider.cs: Add IParameter results.
	* CodeCompletion/CodeCompletionData.cs: Add IParameter ctor.

2004-04-16  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorBuffer.cs: On load, place the cursor at the top
	and grab focus.

2004-04-12  Nick Drochak <ndrochak@gol.com>

	* Gui/SourceEditorView.cs: Use white space already on the line to
	indent the 2nd and following lines of an inserted template.

2004-04-10  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: fix logic bug.

2004-04-10  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: convert to RenderIcon and away
	from stock-id, because of gtk+2.4 sizing issues.

2004-04-10  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: cleanup the delete line func.

2004-04-09  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorBuffer.cs:
	* CodeCompletion/CompletionWindow.cs:
	add atomic undo on code completion, cause its scary now.

2004-04-09  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorBuffer.cs:
	* Gui/SourceEditorView.cs:
	* CodeCompletion/ICompletionData.cs:
	* CodeCompletion/CodeCompletionData.cs:
	* CodeCompletion/CompletionWindow.cs:
	* CodeCompletion/CommentCompletionDataProvider.cs:
	* CodeCompletion/TemplateCompletionDataProvider.cs:
	add support for xcode style type ahead completion. It looks cool, and
	is actually pretty useful.
	

2004-04-03  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs:
	* Gui/SourceEditorDisplayBinding.cs: attempt to solve gtk+ threading
	issues

2004-04-03  Todd Berman  <tberman@sevenl.net>

	* Gui/Dialogs/ReplaceInFilesDialog.cs:
	* Gui/SourceEditorView.cs:
	* Gui/Pads/CompilerMessageView.cs:
	* Gui/OptionPanels/BehaviorTextEditorPanel.cs:
	* Gui/OptionPanels/MarkersTextEditorPanel.cs:
	* Gui/OptionPanels/CodeTemplatePanel.cs:
	* Gui/OptionPanels/GeneralTextEditorPanel.cs:
	* Gui/SourceEditorDisplayBinding.cs:
	* Search/SearchReplaceManager.cs:
	* Search/SearchReplaceInFilesManager.cs:
	gettextify

2004-04-03  Todd Berman  <tberman@sevenl.net>

	* Commands/ToolCommands.cs:
	* Gui/Dialogs/ReplaceDialog.cs:
	* Gui/Dialogs/EditTemplateGroupDialog.cs:
	Gettextify

2004-04-01  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/TextUtilities.cs: if we are already caching the string
	might as well use it.

2004-03-29  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorDisplayBinding.cs: second half of the double clicking
	not setting focus properly, in specific this is a gtk+ 2.4 regression,
	bug filed: http://bugzilla.gnome.org/show_bug.cgi?id=138458

2004-03-29  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorDisplayBinding.cs: properly mark IsReadOnly

2004-03-28  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CodeCompletionDataProvider.cs: adding null check,
	should be the last of the code completion bugs relating to the new code

2004-03-28  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: apply patch from Haakon Nilsen
	<haakon AT ii.uib.no> to fix completion window on KDE.

2004-03-28  John Luke  <jluke@cfl.rr.com>
	
	* Gui/SourceEditorDisplayBinding.cs:
	implement IsReadOnly, fix language to be a switch statement

2004-03-27  Todd berman  <tberman@sevenl.net>

	* CodeCompletion/CodeCompletionDataProvider.cs: use the
	ExpressionFinder if it exists.

2004-03-27  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CodeCompletionDataProvider.cs: add refactorying of
	AddResolveResults.

2004-03-27  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/*Provider.cs:
	* InsightWindow/*Provider.cs: update to reflect parser differences.

2004-03-26  John Luke  <jluke@cfl.rr.com>

	* Gui/SourceEditorView.xs: add DeleteLine for control + L and
	shift + delete, bug #55993

2004-03-26  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs:
	* CodeCompletion/CompletionWindow.cs: now, ctrl+space will autocomplete
	the entire thing if there is only one match.

2004-03-25  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: setup completionWindow to be reused properly
	* CodeCompletion/CompletionWindow.cs: delay a bit before movement to
	attempt to fix correct placement issues. this goes from working
	properly 90% of the time to 99% of the time.

2004-03-25  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs:
	* CodeCompletion/TextUtilities.cs:
	* CodeCompletion/CompletionWindow.cs:
	* CodeCompletion/ICompletionDataProvider.cs:
	* CodeCompletion/CommentCompletionDataProvider.cs:
	* CodeCompletion/CodeCompletionDataProvider.cs:
	* CodeCompletion/TemplateCompletionDataProvider.cs:
		Lots of changes to allow for ctrl+space code completion
		activation. Most of the changes revolve around removing the
		assumption that the completion window is shown when the text
		insert mark is right after the triggering character.

2004-03-25  Todd Berman  <tberman@sevenl.net>

	* Properties/TextEditorProperties.cs: add a EnableCodeCompletion prop
	* Gui/SourceEditorDisplayBinding.cs:
	* Gui/SourceEditorView.cs: hookup EnabledCodeCompletion prop
	* Gui/OptionPanels/GeneralTextEditorProperties: sensify checkbox

2004-03-25  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: fix bug that didnt allow you to
	enter shift+p or shift+n.

2004-03-25  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: fix bug where the first item
	in the list was never being touched due to a for loop miscue.

2004-03-25  Todd Berman  <tberman@sevenl.net>

	* Gui/SourceEditorView.cs: insert the character, *then* start the code
	completion window, this results in the code completion window showing
	up in the correct place (under the cursor, not under the previous char)

2004-03-25  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: only UnselectAll when you have
	a better option, otherwise stay where you are.

2004-03-25  Todd Berman  <tberman@sevenl.net>

	* CodeCompletion/CompletionWindow.cs: add proper checking on when
	to close the window based on backspacing.
